Vagrant.configure("2") do |hexlet|
  hexlet.vm.box = "ubuntu/focal64"
  hexlet.vm.box_check_update = false
  hexlet.vm.hostname = "hex003"
  hexlet.vm.network "forwarded_port", guest: 4567, host: 4567,
    guest_ip: "0.0.0.0",
    host_ip: "127.0.0.1"
  hexlet.vm.provider "virtualbox" do |vb|
    vb.name = "hex003"
    vb.gui = false
    vb.memory = "1024"
    vb.cpus = "2"
  end
  hexlet.vm.provision :ansible do |ansible|
    ansible.playbook = "playbook.yml"
    ansible.inventory_path = "inventory.yml"
  end
  hexlet.vm.provision "shell", inline: "ruby /opt/ruby/app.rb"
end
